Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ExcludeRule

    public interface ExcludeRule

An `ExcludeRule` is used to describe transitive dependencies that should be excluded when resolving dependencies.

Field Summary
`String` | `GROUP_KEY`
`String` | `MODULE_KEY`

Method Summary
`Map` | `getExcludeArgs()` Returns the arguments of an exclude rule.
`String` | `getGroup()` The exact name of the organization or group that should be excluded.
`String` | `getModule()` The exact name of the module that should be excluded.

Field Detail

### GROUP_KEY

    public String GROUP_KEY

### MODULE_KEY

    public String MODULE_KEY

Method Detail

### getExcludeArgs

    @Deprecated
    public Map getExcludeArgs()

  Returns the arguments of an exclude rule. The possible keys for the map are:
  - `group` - The exact name of the organization or group that should be excluded.
  - `module` - The exact name of the module that should be excluded.
  deprecated:
    Use getGroup() or getModule() instead.

### getGroup

    public String getGroup()

  The exact name of the organization or group that should be excluded.

### getModule

    public String getModule()

  The exact name of the module that should be excluded.

Gradle API 1.10